#include "stdafx.h"

#include "form.h"
#include "tree.h"

#include <string>
#include <sstream>
using namespace std;

struct Item
{
    int key;
    Item * left;
    Item * right;
    Item () : key (0), left (nullptr), right (nullptr) { }
};

void enter(Item * & root, int val)
{
    if (root == nullptr)
    {
        root = new Item;
        root->key = val;
    }
    else if (root->key < val) enter(root->left, val);
    else if (root->key > val) enter(root->right, val);
    else { }
}

void display (Item * root)
{
    if (root != nullptr) 
    {
        openBranch (to_string (root->key));
        display (root->left);
        if (root->left != nullptr || root->right != nullptr) addNode(".");
        display(root->right);
        closeBranch();
    }
}

void run()
{
    Item * root = nullptr;
    enter(root, 30);
    enter(root, 20);
    enter(root, 10);

    display(root);

    /*
	openBranch ("abc");
	addNode ("def");
    openBranch("klm");
    addNode("rst");
    closeBranch();
    addNode("xyz");
    closeBranch();
    */

    print ("Hello");
    status ("O.K.");
}